# 安装时显示的模块名称
mod_name="移除perf参数"
# 模块介绍
mod_install_desc="
- 性能强劲的可以移除这个，例如835以上的
- 或者有其他调度的，例如yc的uperf 和perfd 调度
- 可以移除
- 因为perf会更改CPU 频率
- 可能会加速耗电，或者使第三方调度失效。
"
# 安装时显示的提示
mod_install_info="是否安装$mod_name"
# 按下[音量+]选择的功能提示
mod_select_yes_text="安装$mod_name"
# 按下[音量+]后加入module.prop的内容
mod_select_yes_desc="[$mod_select_yes_text]"
# 按下[音量-]选择的功能提示
mod_select_no_text="不安装$mod_name"

mod_install_yes()
{
for a in `find /vendor/etc/perf -iname *.xml -type f`; do
echo "$a" | fgrep -iq 'android.' && continue
echo - $a
File_Dir3="${MODPATH}/system${a%/*}"
if [[ ! -d "$File_Dir3" ]]; then
mkdir -p "$File_Dir3"
fi
touch "$MODPATH/system$a"
done
for l in `find /vendor/etc/perf -iname perf* -type f`; do
echo "$l" | fgrep -iq 'android.' && continue
echo - $l
File_Dir3="${MODPATH}/system${l%/*}"
if [[ ! -d "$File_Dir3" ]]; then
mkdir -p "$File_Dir3"
fi
touch "$MODPATH/system$l"
done
for b in `find /vendor/etc/perf -iname *conf -type f`; do
echo "$b" | fgrep -iq 'android.' && continue
echo - $b
File_Dir3="${MODPATH}/system${b%/*}"
if [[ ! -d "$File_Dir3" ]]; then
mkdir -p "$File_Dir3"
fi
touch "$MODPATH/system$b"
done
ui_print "

"
    return 0
}

# 按下[音量-]时执行的函数
# 如果不需要，请保留函数结构和return 0
mod_install_no()
{
    return 0
}

# 对权限的附加说明
# 只有一些特殊文件需要特定的权限
# 下面是 set_perm 函数的一些示例:

# set_perm_recursive  <目录>                <所有者> <用户组> <目录权限> <文件权限> <上下文> (默认值是: u:object_r:system_file:s0)
# set_perm_recursive  $MODPATH/system/lib       0       0       0755        0644

# set_perm  <文件名>                         <所有者> <用户组> <文件权限> <上下文> (默认值是: u:object_r:system_file:s0)
# set_perm  $MODPATH/system/bin/app_process32   0       2000      0755       u:object_r:zygote_exec:s0
# set_perm  $MODPATH/system/bin/dex2oat         0       2000      0755       u:object_r:dex2oat_exec:s0
# set_perm  $MODPATH/system/lib/libart.so       0       0         0644

